Get CHS Frequency Distribution

This method returns the number of devices per score interval.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.CyberHygiene.getFrequencyDistribution(
    account_name="Default",
    score_interval=10
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the account for which CHS frequency distribution is requested.

family
array of strings

List of operating system families to filter.

family
devices
array of strings

List of device hostnames to filter.

devices
group
array of strings

List of OS groups to filter.

group
os
array of strings

List of operating systems to filter.

os
integer

Score interval range used to group device counts.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json